/datagrail | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
datagrail_create_opt_out_request | Create an opt-out request |
datagrail_create_privacy_request | Create a privacy request |
datagrail_download_consent_audit_log_export | Download a consent audit log export |
datagrail_get_opt_out_request | Get an opt-out request |
datagrail_get_privacy_request | Get a privacy request |
datagrail_list_consent_audit_log_exports | List consent audit log exports |
datagrail_list_opt_out_integrations | List opt-out integrations |
datagrail_list_opt_out_requests | List opt-out requests |
datagrail_list_privacy_request_integrations | List privacy request integrations |
datagrail_list_privacy_request_policies | List privacy request policies |
datagrail_list_privacy_requests | List privacy requests |
datagrail_update_opt_out_request | Update an opt-out request |
datagrail_create_opt_out_request
Create an opt-out request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email | string | Yes | — | Email address of the data subject |
first_name | string | No | — | First name of the data subject |
last_name | string | No | — | Last name of the data subject |
metadata | object | No | — | Additional metadata for the opt-out request |
opt_out_type | string | Yes | — | Type of opt-out request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email": {
"type": "string",
"description": "Email address of the data subject"
},
"first_name": {
"type": "string",
"description": "First name of the data subject"
},
"last_name": {
"type": "string",
"description": "Last name of the data subject"
},
"metadata": {
"type": "object",
"description": "Additional metadata for the opt-out request"
},
"opt_out_type": {
"type": "string",
"description": "Type of opt-out request"
}
},
"required": [
"PCID",
"email",
"opt_out_type"
]
}
datagrail_create_privacy_request
Create a privacy request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email | string | Yes | — | Email address of the data subject |
first_name | string | No | — | First name of the data subject |
last_name | string | No | — | Last name of the data subject |
locale | string | No | — | Locale/language preference for the request |
metadata | object | No | — | Additional metadata for the request |
request_type | string | Yes | — | Type of privacy request to create |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email": {
"type": "string",
"description": "Email address of the data subject"
},
"first_name": {
"type": "string",
"description": "First name of the data subject"
},
"last_name": {
"type": "string",
"description": "Last name of the data subject"
},
"locale": {
"type": "string",
"description": "Locale/language preference for the request"
},
"metadata": {
"type": "object",
"description": "Additional metadata for the request"
},
"request_type": {
"type": "string",
"description": "Type of privacy request to create",
"enum": [
"access",
"deletion",
"rectification",
"portability",
"do_not_sell"
]
}
},
"required": [
"PCID",
"email",
"request_type"
]
}
datagrail_download_consent_audit_log_export
Download a consent audit log export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Audit log export identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Audit log export identifier"
}
},
"required": [
"PCID",
"id"
]
}
datagrail_get_opt_out_request
Get an opt-out request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uuid | string | Yes | — | Unique identifier of the opt-out request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uuid": {
"type": "string",
"description": "Unique identifier of the opt-out request"
}
},
"required": [
"PCID",
"uuid"
]
}
datagrail_get_privacy_request
Get a privacy request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Privacy request identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Privacy request identifier"
}
},
"required": [
"PCID",
"id"
]
}
datagrail_list_consent_audit_log_exports
List consent audit log exportsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
datagrail_list_opt_out_integrations
List opt-out integrations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uuid | string | Yes | — | Unique identifier of the opt-out request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uuid": {
"type": "string",
"description": "Unique identifier of the opt-out request"
}
},
"required": [
"PCID",
"uuid"
]
}
datagrail_list_opt_out_requests
List opt-out requestsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
datagrail_list_privacy_request_integrations
List privacy request integrations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Privacy request identifier |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Privacy request identifier"
}
},
"required": [
"PCID",
"id"
]
}
datagrail_list_privacy_request_policies
List privacy request policiesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
datagrail_list_privacy_requests
List privacy requestsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
datagrail_update_opt_out_request
Update an opt-out request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uuid | string | Yes | — | Unique identifier of the opt-out request |
metadata | object | No | — | Updated metadata for the opt-out request |
status | string | Yes | — | Updated status for the opt-out request |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uuid": {
"type": "string",
"description": "Unique identifier of the opt-out request"
},
"metadata": {
"type": "object",
"description": "Updated metadata for the opt-out request"
},
"status": {
"type": "string",
"description": "Updated status for the opt-out request"
}
},
"required": [
"PCID",
"uuid",
"status"
]
}

